{% extends "fitur_forum/layout/base.html" %}
{% load staticfiles %}
{% load static %}

{% block header %}
<nav class="navbar navbar-default" role="navigation">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="#">IQBAL</a>
    </div>
    
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav">
        <a href="{% url 'forum:auth_logout' %}" class="btn btn-danger navbar-btn" onclick="return confirm('Keluar?')">Logout </a>  
      </ul>
      
    </div>


  </div><!-- /.container-fluid -->
</nav>  
{% endblock %}


{% block content %}
<div class="jumbotron jumbotron-fluid text-center" style="margin-bottom: 0px; margin-top: 0px; background-color: #F1F7ED">
  <div class="container">
    <img class="rounded-circle" src="{% static 'image/forum.png' %}" alt="Perusahaan" style="width:270px;height:175px;">
    <h1 class="display-3" style="font-family: Impact;">Forum Diskusi Lowongan</h1>
    <h4 class="lead" style="fontfamily: Lucida">find jobs here</h4>
  </div>
</div>

<section name="form">
    <h2>Tambah Forum Lowongan</h2>
    <form id="form" method="POST" action="{% url 'forum:add_message' id %}">
        {% csrf_token %}
        {{ message_form }}
        <br>
        <button type="submit" class="btn btn-primary btn-lg btn-block">Post</button>
    </form>
</section>


<!-- <div class="list-group">
{% if message_list %}
         
        {% for i in message_list reversed %}
        <a class="list-group-item clearfix"> 
            {{i.title}} - {{i.message}} - {{i.created_date}}

        </a>        
        {% endfor %}
  
{% else %}
    <button type="submit" class="btn btn-primary btn-lg btn-block no-friend">You have no discussion.</button>
{% endif %}
</div> -->

{% if message_list %}
{% for data in message_list %}
  <section name="update-status" id="update-status">
      <div class = "status">
          <div class="row">
              <div class="col-sm-12 col-sm-offset-0">
                <div class="media" style="padding: 15px">
                  <div class="media-left">
                    <img class="rounded-circle" src="{% static 'image/company.png' %}" alt="Perusahaan" style="width: 80px;padding-right: 8px">
                  </div>
                  <div class="media-body">
                      <strong>{{data.title}} </strong>
                      <h6>Posted on {{data.created_date}}</h6>
                      <p>{{data.message}}</p>
                      <div class="delete" data-id="{{data.id}}">
                        <a href="{% url 'forum:clear' object_id=data.id %}"><img src="https://png.icons8.com/full-trash/androidL/1600" style="width: 35px;height 35px; top: 10px;"></a>
                      </div>
                     
                  </div>
                </section>
                  
                   
{% endfor %}
{% else %}
    <button type="submit" class="btn btn-primary btn-lg btn-block no-friend">You have no discussion.</button>
{% endif %}

{% if message_list.has_other_pages %}
    <ul class="pagination" style="text-align: center">
        {% if message_list.has_previous %}
            <li><a href="?page={{ message_list.previous_page_number }}">&laquo;</a></li>
        {% else %}
            <li class="disabled"><span>&laquo;</span></li>
        {% endif %}

        {% for i in message_list.paginator.page_range %}
            {% if message_list.number == i %}
                <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
            {% else %}
                <li><a href="?page={{ i }}">{{ i }}</a></li>
            {% endif %}
        {% endfor %}
        {% if message_list.has_next %}
              <li><a href="?page={{ message_list.next_page_number }}">&raquo;</a></li>
        {% else %}
              <li class="disabled"><span>&raquo;</span></li>
        {% endif %}
    </ul>
{% endif %}


{% endblock %}


